relaxngcc.builder

## Class NullableChecker

- java.lang.Object
- - relaxngcc.builder.NullableChecker

    public class NullableChecker
    extends java.lang.Object

Computes the nullability of scopes.

A state s is said to be "reachable by epsilon" if

1. it is an initial state, or
2. a state s' is nullable, and there is a transition from s' to s by ref[X], and X is nullable.

We say an automaton X is nullable if one of its final state is "reachable by epsilon." Informally, this means X can accept the empty tree.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

### Constructor Summary

Constructors
Constructor and Description
`NullableChecker()`

### Method Summary

Methods
`static void` `computeNullability(NGCCGrammar gram)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NullableChecker

    public NullableChecker()

### Method Detail

#### computeNullability

    public static void computeNullability(NGCCGrammar gram)